"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
const R = require("ramda");
const ini = require("node-ini");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const log = R.bind(console.log, console);
class Bsvchain {
    constructor() {
        const homedir = process.env.HOME || process.env.HOMEPATH || process.env.USERPROFILE;
        const cfg1 = ini.parseSync(homedir + '/.bitcoin/bitcoin.conf');
        const url = `http://localhost:${cfg1.rpcport}/`;
        log('bchain path: ', homedir + '/.bitcoin/bitcoin.conf');
        log('bchain url: ', url);
        log('bchain conf: ', cfg1);
        this.bchain = new index_1.BChain({ username: cfg1.rpcuser, password: cfg1.rpcpassword }, url);
        this.bchain.getInfo()
            .pipe(operators_1.catchError((err) => rxjs_1.of('Error connecting to chain node: ' + err)))
            .subscribe(log, (err) => console.error(err));
    }
}
exports.Bsvchain = Bsvchain;
const test = new Bsvchain();
if (false)
    log(test);
